// the DiskTester class

public class DiskTester {

  public static void main(String args[]) {
      
      if (args.length < 1) {
	  // test for the change in libruary class
	  /*
	  long t = Library.getTime();
	  Library.output(t + "\n" );
	  int bcount = Library.getDiskBlockCount();
	  int bsize = Library.getDiskBlockSize();
	  String sbcount = Integer.toString(bcount);
	  String sbsize = Integer.toString(bsize);
	  Library.output("The block count is " + sbcount + 
                         ". And the block size is " + sbsize + "\n" );
	  */
	      
	  // test for the read and write to disk
	  int blockSize = Library.getDiskBlockSize();
	  byte[] buffer = new byte[blockSize];
	  setPattern(1, buffer)
	  Library.writeDiskBlock(1, buffer);
	  buffer[0] = 3; 
	  Library.readDiskBlock(1, buffer);
	  if (!checkPattern) {
	      Library.output("Test failed! \n");
	  }
      } else {
	  long t = System.currentTimeMillis();
	  System.out.println(t);
      }
  }
    
    private void setPattern(int blockNumber, byte[] buffer){
	for (int i=0; i < buffer.length; i++){
	    buffer[i] = (byte) (blockNumber + i);
	}
    }

    private boolean checkPattern(int blockNumber, byte[] buffer){
	for (int i = 0; i <buffer.length; i++){
	    if (buffer[i] != (byte) (blockNumber + i))
		return false;
	}
	return true;
    }
}




