/** CS 537, Fall 2002, Project 2.
 * Constants and parameters of the energy trading operation.
 */
public interface Enron {
    /** Number of commodities */
    int COMMODITIES = 4;

    /** Code for the coal commodity */
    int COAL = 0;

    /** Code for the oil commodity */
    int OIL = 1;

    /** Code for the natural gas commodity */
    int GAS = 2;

    /** Code for the electricity commodity */
    int ELEC = 3;

    /** Table translating commodity codes to names.  For example,
     * <code>cname[COAL] == "coal"</code>.
     */
    String[] cname = { "coal", "oil", "gas", "electricity" };

    /** Table translating commodities to units.  For example,
     * <code>cunit[COAL] = "ton"</code>.
     */
    String[] cunit = { "ton", "barrel", "therm", "kwh" };
} // Enron
