/** Helper class for GetOpt.
 * <p>Copyright &#169; 2002 by Marvin Solomon.  All rights reserved.</p>
 * @author <a href="mailto:solomon@cs.wisc.edu">Marvin Solomon</a>
 */
public class LongOption {
	public String name;
	public int hasArg;
	public char val;
	public static final int NO_ARG = 0;
	public static final int REQ_ARG = 1;
	public static final int OPT_ARG = 2;
	public LongOption(String name, int hasArg, char val) {
		this.name = name;
		this.hasArg = hasArg;
		this.val = val;
	}
}
